package com.zd.exam.mapper;

import java.util.List;

import com.zd.exam.domain.ElPractise;

/**
 * 练习记录Mapper接口
 *
 * @author liubo
 * @date 2021-12-14
 */
public interface ElPractiseMapper {
    /**
     * 查询练习记录
     *
     * @param id 练习记录主键
     * @return 练习记录
     */
    public ElPractise selectElPractiseById(Long id);

    /**
     * 查询练习记录列表
     *
     * @param elPractise 练习记录
     * @return 练习记录集合
     */
    public List<ElPractise> selectElPractiseList(ElPractise elPractise);

    /**
     * 新增练习记录
     *
     * @param elPractise 练习记录
     * @return 结果
     */
    public int insertElPractise(ElPractise elPractise);

    /**
     * 修改练习记录
     *
     * @param elPractise 练习记录
     * @return 结果
     */
    public int updateElPractise(ElPractise elPractise);

    /**
     * 删除练习记录
     *
     * @param id 练习记录主键
     * @return 结果
     */
    public int deleteElPractiseById(Long id);

    /**
     * 批量删除练习记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElPractiseByIds(Long[] ids);
}
